ON_HatchLine Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_hatch.h>`

## Public Member Functions

| ON_HatchLine ()
| ON_HatchLine (double angle, const ON_2dPoint &base, const ON_2dVector &offset, const ON_SimpleArray< double > dashes)
bool | operator== (const ON_HatchLine &) const
bool | operator!= (const ON_HatchLine &) const
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
double | Angle () const
void | SetAngle (double angle)
ON_2dPoint | Base () const
void | SetBase (const ON_2dPoint &base)
ON_2dVector | Offset () const
void | SetOffset (const ON_2dVector &offset)
int | DashCount () const
double | Dash (int) const
void | AppendDash (double dash)
void | SetPattern (const ON_SimpleArray< double > &dashes)
void | GetLineData (double &angle, ON_2dPoint &base, ON_2dVector &offset, ON_SimpleArray< double > &dashes) const
double | GetPatternLength () const

## Public Attributes

double | m_angle
ON_2dPoint | m_base
ON_2dVector | m_offset
ON_SimpleArray< double > | m_dashes

## Detailed Description

Definition at line 136 of file opennurbs_hatch.h.

## Constructor & Destructor Documentation

ON_HatchLine::ON_HatchLine | ( |  | ) |

ON_HatchLine::ON_HatchLine | ( | double | angle,
|  | const ON_2dPoint & | base,
|  | const ON_2dVector & | offset,
|  | const ON_SimpleArray< double > | dashes
| ) |  |

## Member Function Documentation

double ON_HatchLine::Angle | ( |  | ) | const

void ON_HatchLine::AppendDash | ( | double | dash | ) |

ON_2dPoint ON_HatchLine::Base | ( |  | ) | const

double ON_HatchLine::Dash | ( | int |  | ) | const

int ON_HatchLine::DashCount | ( |  | ) | const

void ON_HatchLine::Dump | ( | ON_TextLog & |  | ) | const

void ON_HatchLine::GetLineData | ( | double & | angle,
|  | ON_2dPoint & | base,
|  | ON_2dVector & | offset,
|  | ON_SimpleArray< double > & | dashes
| ) |  | const

double ON_HatchLine::GetPatternLength | ( |  | ) | const

ON_BOOL32 ON_HatchLine::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

ON_2dVector ON_HatchLine::Offset | ( |  | ) | const

bool ON_HatchLine::operator!= | ( | const ON_HatchLine & |  | ) | const

bool ON_HatchLine::operator== | ( | const ON_HatchLine & |  | ) | const

ON_BOOL32 ON_HatchLine::Read | ( | ON_BinaryArchive & |  | ) |

void ON_HatchLine::SetAngle | ( | double | angle | ) |

void ON_HatchLine::SetBase | ( | const ON_2dPoint & | base | ) |

void ON_HatchLine::SetOffset | ( | const ON_2dVector & | offset | ) |

void ON_HatchLine::SetPattern | ( | const ON_SimpleArray< double > & | dashes | ) |

ON_BOOL32 ON_HatchLine::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

double ON_HatchLine::m_angle

Definition at line 280 of file opennurbs_hatch.h.

ON_2dPoint ON_HatchLine::m_base

Definition at line 281 of file opennurbs_hatch.h.

ON_SimpleArray< double> ON_HatchLine::m_dashes

Definition at line 283 of file opennurbs_hatch.h.

ON_2dVector ON_HatchLine::m_offset

Definition at line 282 of file opennurbs_hatch.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_hatch.h